odh<-read.table("Datasets/odh.txt",header=T)

boxplot(MCI~CngProne,data=odh, ylab="Machine Code Instructions")

glmfitfull=glm(CngProne~MCI+Loc+Called+Data,family=binomial(),data=odh)
summary(glmfitfull)
glmfit=glm(CngProne~MCI,family=binomial(),data=odh)

summary(glmfitfull)

library(car)


f=fitted(glmfit)

anova(glmfit,glmfitfull,test="Chisq")

influencePlot(glmfit)

mat<-matrix(c(12,2,6,20),byrow=T,nrow=2)
chisq.test(mat,correct=F)
corr=sqrt(14.4256/40)

fitpoiss=glm(Changes~ MCI + Loc + Called + Data, data=odh,family=poisson())
summary(fitpoiss)

fitpoiss.red=glm(Changes~ MCI + Loc + Called, data=odh,family=poisson())

summary(fitpoiss.red)


anova(fitpoiss.red,fitpoiss,test="Chisq")

fred=fitted(fitpoiss.red)

plot(odh$Changes,fred,xlab="Changes",ylab="Fitted values")
abline(a=0,b=1)

influencePlot(fitpoiss.red)

